.rr-gallery-section {
  background-color: var(--color-gray);
  padding-top: 80px;
  padding-bottom: 80px;
}

.rr-section__title {
  margin: 0px 0px 64px 0px;
  font: 600 36px/40px var(--global-font);
  color: var(--color-light);
}

.rr-section__title--gallery {
  margin: 0px 0px 10px 0px;
}

.rr-gallery__filter {
  display: flex;
  align-items: center;
  gap: 10px;
  margin: 0px 0px 40px 0px;
}

.rr-gallery__filter-label {
  font: 400 20px/22px var(--global-font);
  color: var(--color-light);
  margin: 0px;
}

.rr-gallery {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 40px;
}

.rr-gallery--grid-layout {
  display: grid;
  grid-template-columns: repeat(2, 1fr) !important;
}

.rr-gallery--grid-single {
  grid-template-columns: 1fr;
}

.rr-gallery--grid-single .rr-gallery__figure {
  aspect-ratio: 21/5;
}

.rr-gallery__item {
  position: relative;
  z-index: 1;
  border-radius: 10px;
  overflow: hidden;
}

.rr-gallery__link {
  position: absolute;
  display: block;
  inset: 0;
  z-index: 9;
}

.rr-gallery__figure {
  margin: 0px;
  aspect-ratio: 3/2;
}

.rr-gallery__figure::after {
  content: "";
  position: absolute;
  inset: 0;
  background: linear-gradient(transparent, #000);
}

.rr-gallery__image {
  width: 100%;
  height: 100%;
  object-fit: cover;
  border-radius: 8px;
}

.rr-gallery__content {
  position: absolute;
  bottom: 25px;
  left: 25px;
  right: 25px;
  color: black;
  z-index: 999;
  display: flex;
  gap: 10px;
  flex-wrap: wrap;
  width: fit-content;
  align-items: center;
  padding-top: 10px;
  border-top: 2px solid var(--color-light);
}

.rr-gallery__title {
  font: 600 24px/22px var(--global-font);
  color: white;
  margin: 0px;
}

.rr-gallery__createDate {
  font: 400 20px/22px var(--global-font);
  color: white;
  margin: 0px;
}

@media (max-width: 1200px) {
  .rr-gallery {
    grid-template-columns: repeat(2, 1fr);
  }
}

@media (max-width: 1024px) {
}

@media (max-width: 991px) {
  .rr-gallery {
    gap: 20px;
  }
}

@media (max-width: 767px) {
  .rr-gallery {
    grid-template-columns: repeat(1, 1fr);
  }
}

@media (max-width: 575px) {
  .rr-gallery-section {
    background-color: var(--color-gray);
    padding-top: 50px;
    padding-bottom: 50px;
  }

  .rr-section__title {
    margin: 0px 0px 64px 0px;
    font: 600 30px/40px var(--global-font);
    color: var(--color-light);
  }

  .rr-section__title--gallery {
    margin: 0px 0px 10px 0px;
  }

  .rr-gallery__filter {
    display: flex;
    align-items: center;
    gap: 10px;
    margin: 0px 0px 40px 0px;
  }

  .rr-gallery__filter-label {
    font: 400 30px/22px var(--global-font);
    color: var(--color-light);
    margin: 0px;
  }

  .rr-gallery--grid-layout {
    display: grid;
    grid-template-columns: repeat(1, 1fr) !important;
  }

  .rr-gallery--grid-single {
    grid-template-columns: 1fr;
  }

  .rr-gallery--grid-single .rr-gallery__figure {
    aspect-ratio: 21/15;
  }

  .rr-gallery__item {
    position: relative;
  }

  .rr-gallery__figure {
    margin: 0px;
    aspect-ratio: 3/2;
  }

  .rr-gallery__image {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 8px;
  }

  .rr-gallery__content {
    position: absolute;
    bottom: 25px;
    left: 25px;
    right: 25px;
    color: black;
    z-index: 999;
    display: flex;
    gap: 10px;
    flex-wrap: wrap;
    width: fit-content;
    align-items: center;
    padding-top: 10px;
    border-top: 2px solid var(--color-light);
  }

  .rr-gallery__title {
    font: 600 24px/22px var(--global-font);
    color: white;
    margin: 0px;
  }

  .rr-gallery__createDate {
    font: 400 20px/22px var(--global-font);
    color: white;
    margin: 0px;
  }
}
